> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Lijst beschikbaar Specifiek IPs

> Lijst met beschikbare beheerde speciale IPs.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.nl.json GET /v1/public/accounts/{account_id}/dedicated-ips/available-options
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/dedicated-ips/available-options:
    get:
      tags:
        - public-accounts
        - public-dedicated-ips
      summary: Lijst beschikbaar Specifiek IPs
      description: Lijst met beschikbare beheerde speciale IPs.
      operationId: >-
        list_public_dedicated_ip_options_v1_public_accounts__account_id__dedicated_ips_available_options_get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: query
          name: asn
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Asn
        - in: query
          name: country_code
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Country Code
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/PublicDedicatedIpInventoryOption'
                title: >-
                  Response List Public Dedicated Ip Options V1 Public Accounts 
                  Account Id  Dedicated Ips Available Options Get
                type: array
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validatiefout
      security:
        - PublicBearerAuth: []
components:
  schemas:
    PublicDedicatedIpInventoryOption:
      properties:
        asn:
          anyOf:
            - type: integer
            - type: 'null'
          description: Autonoom systeemnummer voor de optie
          title: ASN
        country_code:
          anyOf:
            - type: string
            - type: 'null'
          description: ISO-landcode voor de optie
          title: Landcode
        id:
          description: Voorraadoptie UUID
          format: uuid
          title: ID
          type: string
        ip_addresses:
          description: Openbare adressen inbegrepen in deze optie
          items:
            $ref: '#/components/schemas/PublicDedicatedIpAddressResponse'
          title: IP-adressen
          type: array
        name:
          description: Voor de klant zichtbare naam van de voorraadoptie
          title: Naam
          type: string
      required:
        - id
        - name
      title: PublicDedicatedIpInventoryOption
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    PublicDedicatedIpAddressResponse:
      description: Openbare speciale IP adresmetagegevens zonder reputatiesignalen.
      properties:
        fcrdns_confirmed:
          default: false
          description: Of voorwaarts bevestigde achteruit DNS is geslaagd
          title: Fcrdns bevestigd
          type: boolean
        healthy:
          anyOf:
            - type: boolean
            - type: 'null'
          description: Huidige gezondheidsstatus, indien beschikbaar
          title: Gezond
        ip:
          description: Openbaar IP-adres
          title: IP
          type: string
        rdns:
          anyOf:
            - type: string
            - type: 'null'
          description: Keer de hostnaam DNS om indien geconfigureerd
          title: rDNS
      required:
        - ip
      title: PublicDedicatedIpAddressResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Locatie
          type: array
        msg:
          title: Bericht
          type: string
        type:
          title: Fouttype
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````